List account entities on network
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/accountsimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account": "0.0.8",
"alias": "HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQA",
"auto_renew_period": null,
"balance": {
"timestamp": "0.000002345",
"balance": 80,
"tokens": [
{
"token_id": "0.0.200001",
"balance": 8
}
]
},
"created_timestamp": "1562591528.000123456",
"decline_reward": false,
"deleted": false,
"ethereum_nonce": 10,
"evm_address": "0xac384c53f03855fa1b3616052f8ba32c6c2a2fec",
"expiry_timestamp": null,
"key": null,
"max_automatic_token_associations": 200,
"memo": "entity memo",
"pending_reward": 100,
"receiver_sig_required": false,
"staked_account_id": null,
"staked_node_id": 3,
"stake_period_start": "172800000.000000000"
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Accounts
List account entities on network
Returns a list of all account entity items on the network.
GET
/
api
/
v1
/
accounts
List account entities on network
Query Parameters
The optional balance value to compare against
Pattern:
^((gte?|lte?|eq|ne)\:)?\d{1,10}$The ID of the account to return information for
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$The account's public key to compare against
Whether to include balance information or not. If included, token balances are limited to at most 50 per account as outlined in HIP-367. If multiple values are provided the last value will be the only value used.
The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc Was this page helpful?